Bug 102138 - kernel panic while doing "/sbin/service httpd graceful"
kernel panic while doing "/sbin/service httpd graceful"
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-11 13:51 EDT by Red Hat Production Operations
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:24:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-11 13:51:29 EDT
NMI Watchdog detected LOCKUP on CPU0, eip c023884c, registers:
Kernel 2.4.9-e.25smp
CPU:    0
EIP:    0010:[<c023884c>]    Not tainted
EFLAGS: 00000086
EIP is at stext_lock [kernel] 0x84c 
eax: c02f7e70   ebx: c02f7e70   ecx: 00000001   edx: 00000003
esi: e3aee324   edi: c02f7e70   ebp: f5745e44   esp: f5745e2c
ds: 0018   es: 0018   ss: 0018
Process httpd (pid: 31352, stackpage=f5745000)
Stack: 00000000 00000282 00000003 c02f7e70 e3aee324 e3aee200 e3aee328 c0141762 
       e3aee200 00000000 c6e9c9e0 00000000 c0141804 e3aee200 00000000 f5745e6c 
       c02f7e48 c7d71400 f5745ec0 e3aee200 c01417a0 c012d1f1 c6e9c9e0 40291000 
Call Trace: [<c0141762>] shmem_getbigpage [kernel] 0xc2 
[<c0141804>] shmem_nopage [kernel] 0x64 
[<c01417a0>] shmem_nopage [kernel] 0x0 
[<c012d1f1>] do_no_page [kernel] 0x91 
[<c012d596>] handle_mm_fault [kernel] 0x96 
[<c0117f80>] do_page_fault [kernel] 0x0 
[<c0118126>] do_page_fault [kernel] 0x1a6 
[<c0178cf5>] ipc_addid [kernel] 0x15 
[<c017a62d>] newary [kernel] 0x8d 
[<c017b57e>] sys_semctl [kernel] 0x5e 
[<c010c9eb>] sys_ipc [kernel] 0x9b 
[<c0117f80>] do_page_fault [kernel] 0x0 
[<c01074c0>] error_code [kernel] 0x38 


Code: 7e f9 e9 44 0f ee ff 80 3f 00 f3 90 7e f9 e9 c8 0f ee ff 80 
console shuts up ...
Comment 10 Bastien Nocera 2004-06-23 05:56:54 EDT
Oopses with the -e.40.9 debug kernel provided by Don:
kernel BUG at filemap.c:104!
invalid operand: 0000
Kernel 2.4.9-e.40.9.debugenterprise
CPU:    3
EIP:    0010:[<c013122d>]    Not tainted
EFLAGS: 00010292
EIP is at add_to_page_cache_locked [kernel] 0x7d
eax: 00000020   ebx: c6e6659c   ecx: c02f83e4   edx: 00005196
esi: c02f9b20   edi: 301db7c8   ebp: f72dee58   esp: f7f59e8c
ds: 0018   es: 0018   ss: 0018
Process krefilld (pid: 12, stackpage=f7f59000)
Stack: c0267d7e 00000068 c6e6659c 0011d100 63633047 00000001 c013f36f
c6e6659c
       c02f9b20 0011d100 c6e6659c c013a9ce c6e6659c 0011d100 0011d100
63633047
       00000001 f7f59ed4 fffd08a0 c5c14824 c1000010 fffd0af0 00000163
40d5e000
Call Trace: [<c0267d7e>] .rodata.str1.1 [kernel] 0x2b99 (0xf7f59e8c)
[<c013f36f>] add_to_swap_cache [kernel] 0x7f (0xf7f59ea4)
[<c013a9ce>] try_to_swap_out [kernel] 0x1ce (0xf7f59eb8)
[<c013abe1>] swap_out_pmd [kernel] 0x181 (0xf7f59ef0)
[<c01212ac>] tasklet_hi_action [kernel] 0x6c (0xf7f59f10)
[<c013acf3>] swap_out_vma [kernel] 0xb3 (0xf7f59f2c)
[<c013ad9c>] swap_out_mm [kernel] 0x4c (0xf7f59f80)
[<c013ae80>] swap_out [kernel] 0xb0 (0xf7f59fa4)
[<c013d893>] refill_inactive [kernel] 0x103 (0xf7f59fb8)
[<c0267eec>] .rodata.str1.1 [kernel] 0x2d07 (0xf7f59fd0)
[<c013df44>] krefilld [kernel] 0x54 (0xf7f59fdc)
[<c0105000>] stext [kernel] 0x0 (0xf7f59fec)
[<c0105856>] arch_kernel_thread [kernel] 0x26 (0xf7f59ff0)
[<c013def0>] krefilld [kernel] 0x0 (0xf7f59ff8)
 
 
Code: 0f 0b 58 5a f0 fe 4e 1c 0f 88 5e 94 10 00 ff 46 18 8b 06 89
CPU#2 is frozen.
CPU#1 is frozen.
CPU#0 is frozen.
< netdump activated - performing handshake with the client. >

And:

kernel BUG at filemap.c:104!
invalid operand: 0000
Kernel 2.4.9-e.40.9.debugenterprise
CPU:    3
EIP:    0010:[<c013122d>]    Not tainted
EFLAGS: 00010292
EIP is at add_to_page_cache_locked [kernel] 0x7d
eax: 00000020   ebx: c6e6659c   ecx: c02f83e4   edx: 00005196
esi: c02f9b20   edi: 301db7c8   ebp: f72dee58   esp: f7f59e8c
ds: 0018   es: 0018   ss: 0018
Process krefilld (pid: 12, stackpage=f7f59000)
Stack: c0267d7e 00000068 c6e6659c 0011d100 63633047 00000001 c013f36f
c6e6659c
       c02f9b20 0011d100 c6e6659c c013a9ce c6e6659c 0011d100 0011d100
63633047
       00000001 f7f59ed4 fffd08a0 c5c14824 c1000010 fffd0af0 00000163
40d5e000
Call Trace: [<c0267d7e>] .rodata.str1.1 [kernel] 0x2b99 (0xf7f59e8c)
[<c013f36f>] add_to_swap_cache [kernel] 0x7f (0xf7f59ea4)
[<c013a9ce>] try_to_swap_out [kernel] 0x1ce (0xf7f59eb8)
[<c013abe1>] swap_out_pmd [kernel] 0x181 (0xf7f59ef0)
[<c01212ac>] tasklet_hi_action [kernel] 0x6c (0xf7f59f10)
[<c013acf3>] swap_out_vma [kernel] 0xb3 (0xf7f59f2c)
[<c013ad9c>] swap_out_mm [kernel] 0x4c (0xf7f59f80)
[<c013ae80>] swap_out [kernel] 0xb0 (0xf7f59fa4)
[<c013d893>] refill_inactive [kernel] 0x103 (0xf7f59fb8)
[<c0267eec>] .rodata.str1.1 [kernel] 0x2d07 (0xf7f59fd0)
[<c013df44>] krefilld [kernel] 0x54 (0xf7f59fdc)
[<c0105000>] stext [kernel] 0x0 (0xf7f59fec)
[<c0105856>] arch_kernel_thread [kernel] 0x26 (0xf7f59ff0)
[<c013def0>] krefilld [kernel] 0x0 (0xf7f59ff8)
                                                                     
         
                                                                     
         
Code: 0f 0b 58 5a f0 fe 4e 1c 0f 88 5e 94 10 00 ff 46 18 8b 06 89
CPU#2 is frozen.
CPU#1 is frozen.
CPU#0 is frozen.
< netdump activated - performing handshake with the client. >

That seems to narrow it down.
Comment 15 RHEL Product and Program Management 2007-10-19 15:24:24 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.